<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.RMpHarmonicVRateReportDMapper">

    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpHarmonicVRateReportD">
            <id property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <id property="phase" column="phase" jdbcType="VARCHAR"/>
            <result property="voltageHarmonicThdMax" column="voltage_harmonic_thd_max" jdbcType="FLOAT"/>
            <result property="voltageHarmonicThdMin" column="voltage_harmonic_thd_min" jdbcType="FLOAT"/>
            <result property="voltageHarmonicThdAvg" column="voltage_harmonic_thd_avg" jdbcType="FLOAT"/>
            <result property="voltageHarmonicThd95" column="voltage_harmonic_thd_95" jdbcType="FLOAT"/>
            <result property="fundamentalVoltageMax" column="fundamental_voltage_max" jdbcType="FLOAT"/>
            <result property="fundamentalVoltageMin" column="fundamental_voltage_min" jdbcType="FLOAT"/>
            <result property="fundamentalVoltageAvg" column="fundamental_voltage_avg" jdbcType="FLOAT"/>
            <result property="fundamentalVoltage95" column="fundamental_voltage_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2Max" column="harmonic_voltage_content_2_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2Min" column="harmonic_voltage_content_2_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2Avg" column="harmonic_voltage_content_2_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent295" column="harmonic_voltage_content_2_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3Max" column="harmonic_voltage_content_3_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3Min" column="harmonic_voltage_content_3_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3Avg" column="harmonic_voltage_content_3_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent395" column="harmonic_voltage_content_3_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4Max" column="harmonic_voltage_content_4_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4Min" column="harmonic_voltage_content_4_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4Avg" column="harmonic_voltage_content_4_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent495" column="harmonic_voltage_content_4_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent5Max" column="harmonic_voltage_content_5_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent5Min" column="harmonic_voltage_content_5_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent5Avg" column="harmonic_voltage_content_5_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent595" column="harmonic_voltage_content_5_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent6Max" column="harmonic_voltage_content_6_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent6Min" column="harmonic_voltage_content_6_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent6Avg" column="harmonic_voltage_content_6_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent695" column="harmonic_voltage_content_6_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent7Max" column="harmonic_voltage_content_7_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent7Min" column="harmonic_voltage_content_7_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent7Avg" column="harmonic_voltage_content_7_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent795" column="harmonic_voltage_content_7_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent8Max" column="harmonic_voltage_content_8_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent8Min" column="harmonic_voltage_content_8_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent8Avg" column="harmonic_voltage_content_8_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent895" column="harmonic_voltage_content_8_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent9Max" column="harmonic_voltage_content_9_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent9Min" column="harmonic_voltage_content_9_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent9Avg" column="harmonic_voltage_content_9_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent995" column="harmonic_voltage_content_9_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent10Max" column="harmonic_voltage_content_10_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent10Min" column="harmonic_voltage_content_10_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent10Avg" column="harmonic_voltage_content_10_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1095" column="harmonic_voltage_content_10_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent11Max" column="harmonic_voltage_content_11_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent11Min" column="harmonic_voltage_content_11_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent11Avg" column="harmonic_voltage_content_11_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1195" column="harmonic_voltage_content_11_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent12Max" column="harmonic_voltage_content_12_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent12Min" column="harmonic_voltage_content_12_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent12Avg" column="harmonic_voltage_content_12_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1295" column="harmonic_voltage_content_12_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent13Max" column="harmonic_voltage_content_13_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent13Min" column="harmonic_voltage_content_13_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent13Avg" column="harmonic_voltage_content_13_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1395" column="harmonic_voltage_content_13_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent14Max" column="harmonic_voltage_content_14_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent14Min" column="harmonic_voltage_content_14_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent14Avg" column="harmonic_voltage_content_14_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1495" column="harmonic_voltage_content_14_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent15Max" column="harmonic_voltage_content_15_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent15Min" column="harmonic_voltage_content_15_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent15Avg" column="harmonic_voltage_content_15_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1595" column="harmonic_voltage_content_15_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent16Max" column="harmonic_voltage_content_16_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent16Min" column="harmonic_voltage_content_16_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent16Avg" column="harmonic_voltage_content_16_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1695" column="harmonic_voltage_content_16_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent17Max" column="harmonic_voltage_content_17_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent17Min" column="harmonic_voltage_content_17_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent17Avg" column="harmonic_voltage_content_17_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1795" column="harmonic_voltage_content_17_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent18Max" column="harmonic_voltage_content_18_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent18Min" column="harmonic_voltage_content_18_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent18Avg" column="harmonic_voltage_content_18_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1895" column="harmonic_voltage_content_18_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent19Max" column="harmonic_voltage_content_19_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent19Min" column="harmonic_voltage_content_19_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent19Avg" column="harmonic_voltage_content_19_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent1995" column="harmonic_voltage_content_19_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent20Max" column="harmonic_voltage_content_20_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent20Min" column="harmonic_voltage_content_20_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent20Avg" column="harmonic_voltage_content_20_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2095" column="harmonic_voltage_content_20_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent21Max" column="harmonic_voltage_content_21_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent21Min" column="harmonic_voltage_content_21_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent21Avg" column="harmonic_voltage_content_21_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2195" column="harmonic_voltage_content_21_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent22Max" column="harmonic_voltage_content_22_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent22Min" column="harmonic_voltage_content_22_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent22Avg" column="harmonic_voltage_content_22_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2295" column="harmonic_voltage_content_22_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent23Max" column="harmonic_voltage_content_23_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent23Min" column="harmonic_voltage_content_23_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent23Avg" column="harmonic_voltage_content_23_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2395" column="harmonic_voltage_content_23_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent24Max" column="harmonic_voltage_content_24_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent24Min" column="harmonic_voltage_content_24_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent24Avg" column="harmonic_voltage_content_24_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2495" column="harmonic_voltage_content_24_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent25Max" column="harmonic_voltage_content_25_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent25Min" column="harmonic_voltage_content_25_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent25Avg" column="harmonic_voltage_content_25_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2595" column="harmonic_voltage_content_25_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent26Max" column="harmonic_voltage_content_26_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent26Min" column="harmonic_voltage_content_26_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent26Avg" column="harmonic_voltage_content_26_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2695" column="harmonic_voltage_content_26_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent27Max" column="harmonic_voltage_content_27_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent27Min" column="harmonic_voltage_content_27_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent27Avg" column="harmonic_voltage_content_27_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2795" column="harmonic_voltage_content_27_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent28Max" column="harmonic_voltage_content_28_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent28Min" column="harmonic_voltage_content_28_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent28Avg" column="harmonic_voltage_content_28_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2895" column="harmonic_voltage_content_28_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent29Max" column="harmonic_voltage_content_29_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent29Min" column="harmonic_voltage_content_29_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent29Avg" column="harmonic_voltage_content_29_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent2995" column="harmonic_voltage_content_29_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent30Max" column="harmonic_voltage_content_30_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent30Min" column="harmonic_voltage_content_30_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent30Avg" column="harmonic_voltage_content_30_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3095" column="harmonic_voltage_content_30_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent31Max" column="harmonic_voltage_content_31_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent31Min" column="harmonic_voltage_content_31_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent31Avg" column="harmonic_voltage_content_31_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3195" column="harmonic_voltage_content_31_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent32Max" column="harmonic_voltage_content_32_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent32Min" column="harmonic_voltage_content_32_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent32Avg" column="harmonic_voltage_content_32_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3295" column="harmonic_voltage_content_32_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent33Max" column="harmonic_voltage_content_33_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent33Min" column="harmonic_voltage_content_33_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent33Avg" column="harmonic_voltage_content_33_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3395" column="harmonic_voltage_content_33_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent34Max" column="harmonic_voltage_content_34_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent34Min" column="harmonic_voltage_content_34_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent34Avg" column="harmonic_voltage_content_34_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3495" column="harmonic_voltage_content_34_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent35Max" column="harmonic_voltage_content_35_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent35Min" column="harmonic_voltage_content_35_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent35Avg" column="harmonic_voltage_content_35_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3595" column="harmonic_voltage_content_35_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent36Max" column="harmonic_voltage_content_36_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent36Min" column="harmonic_voltage_content_36_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent36Avg" column="harmonic_voltage_content_36_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3695" column="harmonic_voltage_content_36_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent37Max" column="harmonic_voltage_content_37_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent37Min" column="harmonic_voltage_content_37_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent37Avg" column="harmonic_voltage_content_37_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3795" column="harmonic_voltage_content_37_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent38Max" column="harmonic_voltage_content_38_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent38Min" column="harmonic_voltage_content_38_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent38Avg" column="harmonic_voltage_content_38_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3895" column="harmonic_voltage_content_38_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent39Max" column="harmonic_voltage_content_39_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent39Min" column="harmonic_voltage_content_39_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent39Avg" column="harmonic_voltage_content_39_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent3995" column="harmonic_voltage_content_39_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent40Max" column="harmonic_voltage_content_40_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent40Min" column="harmonic_voltage_content_40_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent40Avg" column="harmonic_voltage_content_40_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4095" column="harmonic_voltage_content_40_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent41Max" column="harmonic_voltage_content_41_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent41Min" column="harmonic_voltage_content_41_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent41Avg" column="harmonic_voltage_content_41_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4195" column="harmonic_voltage_content_41_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent42Max" column="harmonic_voltage_content_42_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent42Min" column="harmonic_voltage_content_42_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent42Avg" column="harmonic_voltage_content_42_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4295" column="harmonic_voltage_content_42_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent43Max" column="harmonic_voltage_content_43_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent43Min" column="harmonic_voltage_content_43_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent43Avg" column="harmonic_voltage_content_43_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4395" column="harmonic_voltage_content_43_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent44Max" column="harmonic_voltage_content_44_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent44Min" column="harmonic_voltage_content_44_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent44Avg" column="harmonic_voltage_content_44_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4495" column="harmonic_voltage_content_44_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent45Max" column="harmonic_voltage_content_45_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent45Min" column="harmonic_voltage_content_45_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent45Avg" column="harmonic_voltage_content_45_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4595" column="harmonic_voltage_content_45_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent46Max" column="harmonic_voltage_content_46_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent46Min" column="harmonic_voltage_content_46_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent46Avg" column="harmonic_voltage_content_46_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4695" column="harmonic_voltage_content_46_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent47Max" column="harmonic_voltage_content_47_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent47Min" column="harmonic_voltage_content_47_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent47Avg" column="harmonic_voltage_content_47_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4795" column="harmonic_voltage_content_47_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent48Max" column="harmonic_voltage_content_48_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent48Min" column="harmonic_voltage_content_48_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent48Avg" column="harmonic_voltage_content_48_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4895" column="harmonic_voltage_content_48_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent49Max" column="harmonic_voltage_content_49_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent49Min" column="harmonic_voltage_content_49_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent49Avg" column="harmonic_voltage_content_49_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent4995" column="harmonic_voltage_content_49_95" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent50Max" column="harmonic_voltage_content_50_max" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent50Min" column="harmonic_voltage_content_50_min" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent50Avg" column="harmonic_voltage_content_50_avg" jdbcType="FLOAT"/>
            <result property="harmonicVoltageContent5095" column="harmonic_voltage_content_50_95" jdbcType="FLOAT"/>
    </resultMap>

    <sql id="Base_Column_List">
        measurement_point_id,data_date,phase,
        voltage_harmonic_thd_max,voltage_harmonic_thd_min,voltage_harmonic_thd_avg,
        voltage_harmonic_thd_95,fundamental_voltage_max,fundamental_voltage_min,
        fundamental_voltage_avg,fundamental_voltage_95,harmonic_voltage_content_2_max,
        harmonic_voltage_content_2_min,harmonic_voltage_content_2_avg,harmonic_voltage_content_2_95,
        harmonic_voltage_content_3_max,harmonic_voltage_content_3_min,harmonic_voltage_content_3_avg,
        harmonic_voltage_content_3_95,harmonic_voltage_content_4_max,harmonic_voltage_content_4_min,
        harmonic_voltage_content_4_avg,harmonic_voltage_content_4_95,harmonic_voltage_content_5_max,
        harmonic_voltage_content_5_min,harmonic_voltage_content_5_avg,harmonic_voltage_content_5_95,
        harmonic_voltage_content_6_max,harmonic_voltage_content_6_min,harmonic_voltage_content_6_avg,
        harmonic_voltage_content_6_95,harmonic_voltage_content_7_max,harmonic_voltage_content_7_min,
        harmonic_voltage_content_7_avg,harmonic_voltage_content_7_95,harmonic_voltage_content_8_max,
        harmonic_voltage_content_8_min,harmonic_voltage_content_8_avg,harmonic_voltage_content_8_95,
        harmonic_voltage_content_9_max,harmonic_voltage_content_9_min,harmonic_voltage_content_9_avg,
        harmonic_voltage_content_9_95,harmonic_voltage_content_10_max,harmonic_voltage_content_10_min,
        harmonic_voltage_content_10_avg,harmonic_voltage_content_10_95,harmonic_voltage_content_11_max,
        harmonic_voltage_content_11_min,harmonic_voltage_content_11_avg,harmonic_voltage_content_11_95,
        harmonic_voltage_content_12_max,harmonic_voltage_content_12_min,harmonic_voltage_content_12_avg,
        harmonic_voltage_content_12_95,harmonic_voltage_content_13_max,harmonic_voltage_content_13_min,
        harmonic_voltage_content_13_avg,harmonic_voltage_content_13_95,harmonic_voltage_content_14_max,
        harmonic_voltage_content_14_min,harmonic_voltage_content_14_avg,harmonic_voltage_content_14_95,
        harmonic_voltage_content_15_max,harmonic_voltage_content_15_min,harmonic_voltage_content_15_avg,
        harmonic_voltage_content_15_95,harmonic_voltage_content_16_max,harmonic_voltage_content_16_min,
        harmonic_voltage_content_16_avg,harmonic_voltage_content_16_95,harmonic_voltage_content_17_max,
        harmonic_voltage_content_17_min,harmonic_voltage_content_17_avg,harmonic_voltage_content_17_95,
        harmonic_voltage_content_18_max,harmonic_voltage_content_18_min,harmonic_voltage_content_18_avg,
        harmonic_voltage_content_18_95,harmonic_voltage_content_19_max,harmonic_voltage_content_19_min,
        harmonic_voltage_content_19_avg,harmonic_voltage_content_19_95,harmonic_voltage_content_20_max,
        harmonic_voltage_content_20_min,harmonic_voltage_content_20_avg,harmonic_voltage_content_20_95,
        harmonic_voltage_content_21_max,harmonic_voltage_content_21_min,harmonic_voltage_content_21_avg,
        harmonic_voltage_content_21_95,harmonic_voltage_content_22_max,harmonic_voltage_content_22_min,
        harmonic_voltage_content_22_avg,harmonic_voltage_content_22_95,harmonic_voltage_content_23_max,
        harmonic_voltage_content_23_min,harmonic_voltage_content_23_avg,harmonic_voltage_content_23_95,
        harmonic_voltage_content_24_max,harmonic_voltage_content_24_min,harmonic_voltage_content_24_avg,
        harmonic_voltage_content_24_95,harmonic_voltage_content_25_max,harmonic_voltage_content_25_min,
        harmonic_voltage_content_25_avg,harmonic_voltage_content_25_95,harmonic_voltage_content_26_max,
        harmonic_voltage_content_26_min,harmonic_voltage_content_26_avg,harmonic_voltage_content_26_95,
        harmonic_voltage_content_27_max,harmonic_voltage_content_27_min,harmonic_voltage_content_27_avg,
        harmonic_voltage_content_27_95,harmonic_voltage_content_28_max,harmonic_voltage_content_28_min,
        harmonic_voltage_content_28_avg,harmonic_voltage_content_28_95,harmonic_voltage_content_29_max,
        harmonic_voltage_content_29_min,harmonic_voltage_content_29_avg,harmonic_voltage_content_29_95,
        harmonic_voltage_content_30_max,harmonic_voltage_content_30_min,harmonic_voltage_content_30_avg,
        harmonic_voltage_content_30_95,harmonic_voltage_content_31_max,harmonic_voltage_content_31_min,
        harmonic_voltage_content_31_avg,harmonic_voltage_content_31_95,harmonic_voltage_content_32_max,
        harmonic_voltage_content_32_min,harmonic_voltage_content_32_avg,harmonic_voltage_content_32_95,
        harmonic_voltage_content_33_max,harmonic_voltage_content_33_min,harmonic_voltage_content_33_avg,
        harmonic_voltage_content_33_95,harmonic_voltage_content_34_max,harmonic_voltage_content_34_min,
        harmonic_voltage_content_34_avg,harmonic_voltage_content_34_95,harmonic_voltage_content_35_max,
        harmonic_voltage_content_35_min,harmonic_voltage_content_35_avg,harmonic_voltage_content_35_95,
        harmonic_voltage_content_36_max,harmonic_voltage_content_36_min,harmonic_voltage_content_36_avg,
        harmonic_voltage_content_36_95,harmonic_voltage_content_37_max,harmonic_voltage_content_37_min,
        harmonic_voltage_content_37_avg,harmonic_voltage_content_37_95,harmonic_voltage_content_38_max,
        harmonic_voltage_content_38_min,harmonic_voltage_content_38_avg,harmonic_voltage_content_38_95,
        harmonic_voltage_content_39_max,harmonic_voltage_content_39_min,harmonic_voltage_content_39_avg,
        harmonic_voltage_content_39_95,harmonic_voltage_content_40_max,harmonic_voltage_content_40_min,
        harmonic_voltage_content_40_avg,harmonic_voltage_content_40_95,harmonic_voltage_content_41_max,
        harmonic_voltage_content_41_min,harmonic_voltage_content_41_avg,harmonic_voltage_content_41_95,
        harmonic_voltage_content_42_max,harmonic_voltage_content_42_min,harmonic_voltage_content_42_avg,
        harmonic_voltage_content_42_95,harmonic_voltage_content_43_max,harmonic_voltage_content_43_min,
        harmonic_voltage_content_43_avg,harmonic_voltage_content_43_95,harmonic_voltage_content_44_max,
        harmonic_voltage_content_44_min,harmonic_voltage_content_44_avg,harmonic_voltage_content_44_95,
        harmonic_voltage_content_45_max,harmonic_voltage_content_45_min,harmonic_voltage_content_45_avg,
        harmonic_voltage_content_45_95,harmonic_voltage_content_46_max,harmonic_voltage_content_46_min,
        harmonic_voltage_content_46_avg,harmonic_voltage_content_46_95,harmonic_voltage_content_47_max,
        harmonic_voltage_content_47_min,harmonic_voltage_content_47_avg,harmonic_voltage_content_47_95,
        harmonic_voltage_content_48_max,harmonic_voltage_content_48_min,harmonic_voltage_content_48_avg,
        harmonic_voltage_content_48_95,harmonic_voltage_content_49_max,harmonic_voltage_content_49_min,
        harmonic_voltage_content_49_avg,harmonic_voltage_content_49_95,harmonic_voltage_content_50_max,
        harmonic_voltage_content_50_min,harmonic_voltage_content_50_avg,harmonic_voltage_content_50_95
    </sql>
    <select id="getListByCond" resultType="com.njcn.harmonic.pojo.po.RMpHarmonicVRateReportD" parameterType="java.util.Map">
        select <include refid="Base_Column_List"/>
        from r_mp_harmonic_v_rate_report_d
        where 1 = 1
        <if test="startTime != null and startTime != ''">
            AND DATE_FORMAT(data_date, '%Y-%m-%d') >=  #{startTime, jdbcType=VARCHAR}
        </if>
        <if test="endTime != null and endTime != ''">
            AND DATE_FORMAT(data_date, '%Y-%m-%d') &lt;=  #{endTime, jdbcType=VARCHAR}
        </if>
        and measurement_point_id IN
        <foreach collection="monitorIdList" open="(" close=")" separator="," item="id">
            #{id}
        </foreach>
    </select>
</mapper>
